Bug 212440 - luci persists possibly incorrect name for a system
luci persists possibly incorrect name for a system
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jim Parsons
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 15:37 EDT by Jim Parsons
Modified: 2009-04-16 18:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 20:44:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for 212440 (2.47 KB, patch)
2006-10-26 15:50 EDT, Ryan McCabe
no flags Details | Diff

  None (edit)
Description Jim Parsons 2006-10-26 15:37:08 EDT
The luci component is using the hostname returned from the ricci agent at
initial authentication, rather than the user entered address; this is a bug.
When the system has an fqdn in the /etc/hosts, this issue does not arise...but
if it has a short version host name, and the system is being accessed from
beyond its own immediate network domain, there is trouble, and the system is
inaccessible after initial authentication.
Comment 1 Ryan McCabe 2006-10-26 15:50:58 EDT
Created attachment 139521 [details]
patch for 212440

this patch fixes the problem described above. it was committed to -HEAD this
morning.
Comment 2 Jim Parsons 2006-10-26 15:56:39 EDT
Requesting, please, that this fix be ack'd for GA. It is critical.
Comment 3 Kiersten (Kerri) Anderson 2006-10-26 16:10:59 EDT
Devel ACK - should be fixed for GA but I don't consider it a beta2 blocker at
this time unless someone argues vehemently for it.  However, if there are other
reasons to spin conga for beta2, wouldn't object to it being included.
Comment 4 RHEL Product and Program Management 2006-10-26 16:13:09 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 5 RHEL Product and Program Management 2006-12-22 20:44:12 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.